Bug 134432 - /etc/rc.d/init.d/halt saves random seed to wrong file
/etc/rc.d/init.d/halt saves random seed to wrong file
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-10-02 11:19 EDT by Lubomir Bulej
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.87-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 23:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix to /etc/rc.d/init.d/halt.d to store random seed where rc.init expects it (498 bytes, text/plain)
2004-10-02 11:20 EDT, Lubomir Bulej
no flags Details

  None (edit)
Description Lubomir Bulej 2004-10-02 11:19:22 EDT
Description of problem:
/etc/rc.d/init.d/halt saves random seed to /var/lib/random_seed
instead of /var/lib/random-seed, from which the rc.sysinit reads it.

Version-Release number of selected component (if applicable):

Additional info:
It may very well be the other way around, e.g. that rc.sysinit should
read the random seed from random_seed instead of random-seed. I think
that historically it has been random-seed.

The attached patch fixes the "halt" script to use random-seed.
Comment 1 Lubomir Bulej 2004-10-02 11:20:49 EDT
Created attachment 104666 [details]
Fix to /etc/rc.d/init.d/halt.d to store random seed where rc.init expects it
Comment 2 Bill Nottingham 2004-10-03 23:26:13 EDT
Duh, thanks. Fixed in CVS, will be in 7.87-1.

Note You need to log in before you can comment on or make changes to this bug.